%define rel 1

Name:           qterminal
Version:        1.3.0
Release:        %mkrel %{rel}
Summary:        QT-based multitab terminal emulator
License:        GPLv2
Group:          Terminals
URL:            https://lxqt-project.org/
Source0:        https://github.com/lxqt/qterminal/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(qtermwidget5)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  cmake(lxqt)
BuildRequires:  cmake(lxqt-build-tools)

%description
QT-based multitab terminal emulator.
Based on QTermWidget

%files
%doc AUTHORS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-drop.desktop
%{_iconsdir}/hicolor/*/*/%{name}.png
%{_datadir}/%{name}/
%{_datadir}/metainfo/qterminal.metainfo.xml

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_qt5

%cmake_build

%install
%cmake_install

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}-drop.desktop


%changelog
* Sun Apr 16 2023 papoteur <papoteur> 1.3.0-1.mga9
+ Revision: 1953184
- new version 1.3.0

* Mon Feb 06 2023 papoteur <papoteur> 1.2.0-2.mga9
+ Revision: 1938821
- rebuild for compilation with C++17 standard

* Sun Nov 06 2022 papoteur <papoteur> 1.2.0-1.mga9
+ Revision: 1904259
- new version 1.2.0

* Mon Apr 25 2022 papoteur <papoteur> 1.1.0-1.mga9
+ Revision: 1853547
- Release 1.1.0

* Tue Apr 05 2022 umeabot <umeabot> 1.0.0-2.mga9
+ Revision: 1845315
- Mageia 9 Mass Rebuild

* Sun Dec 12 2021 neoclust <neoclust> 1.0.0-1.mga9
+ Revision: 1761592
- New version 1.0.0

* Sat Apr 17 2021 daviddavid <daviddavid> 0.17.0-1.mga9
+ Revision: 1716225
- New version 0.17.0

* Thu Dec 17 2020 umeabot <umeabot> 0.16.1-2.mga8
+ Revision: 1659626
- Rebuild for new Qt5

* Wed Dec 16 2020 daviddavid <daviddavid> 0.16.1-1.mga8
+ Revision: 1657951
- New version 0.16.1

* Sat Nov 07 2020 daviddavid <daviddavid> 0.16.0-1.mga8
+ Revision: 1643194
- New version 0.16.0
- update Url and Source Url

* Sat Apr 25 2020 daviddavid <daviddavid> 0.15.0-1.mga8
+ Revision: 1571830
- New version 0.15.0

* Sat Feb 15 2020 umeabot <umeabot> 0.14.1-3.mga8
+ Revision: 1525014
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Apr 01 2019 umeabot <umeabot> 0.14.1-2.mga7
+ Revision: 1384381
- Qt5 Rebuild

* Thu Mar 28 2019 daviddavid <daviddavid> 0.14.1-1.mga7
+ Revision: 1380846
- new version: 0.14.1

* Sun Jan 27 2019 daviddavid <daviddavid> 0.14.0-2.mga7
+ Revision: 1361441
- conflicts deprecated lxqt-l10n package

* Sun Jan 27 2019 daviddavid <daviddavid> 0.14.0-1.mga7
+ Revision: 1361352
- New version 0.14.0

* Fri Dec 28 2018 daviddavid <daviddavid> 0.9.0-3.mga7
+ Revision: 1345494
- rebuild for new Qt5 5.12.0

* Sun Sep 23 2018 umeabot <umeabot> 0.9.0-2.mga7
+ Revision: 1300701
- Mageia 7 Mass Rebuild

* Mon Jun 04 2018 daviddavid <daviddavid> 0.9.0-1.mga7
+ Revision: 1234403
- new version: 0.9.0

* Tue Nov 07 2017 neoclust <neoclust> 0.8.0-1.mga7
+ Revision: 1176464
- New version 0.8.0

* Wed Jan 18 2017 daviddavid <daviddavid> 0.7.1-1.mga6
+ Revision: 1082327
- new version: 0.7.1
- add BR lxqt-build-tools

* Fri Nov 11 2016 neoclust <neoclust> 0.7.0-2.mga6
+ Revision: 1066417
- Add translation package as a require

* Thu Nov 10 2016 neoclust <neoclust> 0.7.0-1.mga6
+ Revision: 1066200
- New version 0.7.0

* Sat Mar 05 2016 blino <blino> 0.6.0-2.mga6
+ Revision: 985967
- rebuild for armv5tl (also missed in first Mga6 mass rebuild)

* Sat Jan 09 2016 dglent <dglent> 0.6.0-1.mga6
+ Revision: 920701
- Version 0.6.0
- Qt5 build

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-6.mga5
+ Revision: 739242
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-5.mga5
+ Revision: 688542
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.4.0-4.mga4
+ Revision: 522687
- Mageia 4 Mass Rebuild

* Mon Mar 25 2013 matteo <matteo> 0.4.0-3.mga3
+ Revision: 405211
- added italian translations

* Sun Jan 13 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 379980
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 08 2012 matteo <matteo> 0.4.0-1.mga3
+ Revision: 268780
- spec file reviewed
- new version

* Thu Jan 05 2012 matteo <matteo> 0.2.0-3.mga2
+ Revision: 191931
- fixed license;spec file reviewed

* Mon Dec 19 2011 matteo <matteo> 0.2.0-2.mga2
+ Revision: 184344
- spec file reviewed

* Sun Dec 18 2011 matteo <matteo> 0.2.0-1.mga2
+ Revision: 183488
- fixed summary error
- fixed version number
- spec file cleaned
- imported package qterminal

